### Constructor

# Atspi StateSet new

#### Declaration [src]

    AtspiStateSet*
    atspi_state_set_new (
      GArray* states
    )

#### Description [src]

Generates an `AtspiStateSet` with the given `states`.

#### Parameters

`states`

  Type: An array of `None`

  An array of states with which the method initializes the state set.

  The data is owned by the caller of the function.

#### Return value

Type: `AtspiStateSet`

A new `AtspiStateSet` with the given states.

The caller of the function takes ownership of the data, and is responsible for freeing it.